#-----------------------------------------------------------------------------
# Name:          __init__.py
#
# Author:        Song Huang <song@song.idv.tw>
#
# Created:       2005/05/01
# Last Modified: 2009/01/06
# Copyright:     (c) 2005 Song Huang <song@song.idv.tw>
# Licence:       GPL
#-----------------------------------------------------------------------------

from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
import CCTool

import sys
this_module = sys.modules[ __name__ ]

tools = ( CCTool.CCTool, )

z_tool_bases = utils.initializeBasesPhase1( tools, this_module )
plonecc_globals = globals()


# register skins
registerDirectory('skins', plonecc_globals)

def initialize( context ):
    utils.initializeBasesPhase2( z_tool_bases, context )
    utils.ToolInit('Plone Creative Commons Tool', tools=tools,
                   product_name='PloneCreativeCommons', icon='tool.gif',
                   ).initialize( context )

    context.registerClass(
        CCTool.CCTool,
        meta_type="PloneCCTool",
        constructors=(CCTool.addCCTool,),
        icon = 'tool.gif') 
